set JAVA_HOME=C:\Program Files\Java\jdk1.6.0_20
set SPEC_HOME=D:\Documents\diplom\spec
set SPEC_PARAMS=-Dspecjvm.home.dir=%SPEC_HOME% -Dspecjvm.result.dir=.
set MEMORY_PROFILER_DLL=D:\Documents\diplom\agent\memoryProfiler.dll
set OUT_FILE=log.txt
echo %SPEC_PARAMS%

java -Xmx1024m -javaagent:allocation.jar -agentpath:%MEMORY_PROFILER_DLL% %SPEC_PARAMS% -jar %SPEC_HOME%\SPECjvm2008.jar -ikv > %OUT_FILE%